API

Get blacklist

GET/api/crm/v2/black_listv2
operationId: blackList.default

Authorization

api-token + language + role

Query parameters

page_numberinteger

Example: 1

phone_format_idinteger

Example: 1

phone_numberstring

Example: (707) 712-51-19

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
phone_format_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

phone_numberobject (FilterInput)
valuestring

Example: example

typestringrequired

Example: integer or string

placeholderstring

Example: string

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

idobject (FilterId)
valueany

Example: 0

typestringrequired

Example: integer

placeholderstring

Example: integer

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

listarray of object
idintegerrequired

Example: 82348

datestring (DataTimeFormat) required

Example: 17:45 06/05/2024

chain_idintegerrequired

Example: 7143

client_account_idinteger

Example: 0

client_branch_profile_idinteger

Example: 0

phone_format_idinteger

Example: 4

phone_numberstring

Example: 7077125119

blockedbooleanrequired

Example: true

client_namestring

Example: example

paginationobject (Pagination)
max_countintegerrequired

Number of items per page

Example: 30

page_numberintegerrequired

Current page number; limited so that the offset does not exceed 1000

Example: 1

has_nextbooleanrequired

Is there a next page

Example: true

has_previousbooleanrequired

Is there a previous page

Example: false